MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
PlaylistCommands.hxx File Reference
`#include "CommandResult.hxx"`
`#include "Compiler.h"`
Include dependency graph for PlaylistCommands.hxx:

Go to the source code of this file.

## Functions
gcc_const bool | playlist_commands_available ()
CommandResult | handle_save (Client &client, Request request, Response &response)
CommandResult | handle_load (Client &client, Request request, Response &response)
CommandResult | handle_listplaylist (Client &client, Request request, Response &response)
CommandResult | handle_listplaylistinfo (Client &client, Request request, Response &response)
CommandResult | handle_rm (Client &client, Request request, Response &response)
CommandResult | handle_rename (Client &client, Request request, Response &response)
CommandResult | handle_playlistdelete (Client &client, Request request, Response &response)
CommandResult | handle_playlistmove (Client &client, Request request, Response &response)
CommandResult | handle_playlistclear (Client &client, Request request, Response &response)
CommandResult | handle_playlistadd (Client &client, Request request, Response &response)
CommandResult | handle_listplaylists (Client &client, Request request, Response &response)

## Function Documentation

CommandResult handle_listplaylist | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_listplaylistinfo | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_listplaylists | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_load | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_playlistadd | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_playlistclear | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_playlistdelete | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_playlistmove | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_rename | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_rm | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

CommandResult handle_save | ( | Client & | client,
|  | Request | request,
|  | Response & | response
| ) |  |

gcc_const bool playlist_commands_available | ( |  | ) |